# SourcePath: zlib/20170120dev
Summary: compression library - runtime
Name: sony-target-dev-zlib
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-zlib
Version: 1.2.11
Release: 12000001
Source          : zlib-%{version}.tar.gz
# LOT scripts
Source10: sony-zlib-libopt-build-zlib
License: Other
URL: http://www.zlib.net/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
zlib is a library implementing the deflate compression method found
in gzip and pkzip.  This package includes the shared library.

# zlib

%package -n %{pkgname}
Summary: compression library - runtime
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
zlib is a library implementing the deflate compression method found
in gzip and pkzip.  This package includes the shared library.

### %package -n %{pkgname}-dev
### Summary: compression library - development
### Group: %{sony_group}
### AutoReqProv: no

### %description -n %{pkgname}-dev
### zlib is a library implementing the deflate compression method found
### in gzip and pkzip.  This package includes the development support
### files.



# zlib-bin

### %package -n %{pkgname}-bin
### Summary         : compression library - sample programs
### Group: %{sony_group}

### %description -n %{pkgname}-bin
### Some generally useful sample programs from the contrib directory.
### Includes a "mini" implementation of `zip' and `unzip' called
### `minizip' and `miniunzip' respectively.



%prep
%setup -n zlib-%{version}

%build
%sony_target_dev_setup
export AR="%{sony_target_toolprefix}ar"
export CFLAGS="-O2 -D_REENTRANT -fPIC -ffunction-sections"
./configure --prefix=%{sony_target_dev_prefix} \
        --eprefix=%{sony_target_dev_exec_prefix} \
        --libdir=%{sony_target_dev_lib_dir} \
        --includedir=%{sony_target_dev_include_dir} \
        --shared | tee build.log

make all libz.a | tee -a build.log
(cd contrib/minizip ; make "CC=$CC")


%install
%sony_target_dev_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_exec_prefix}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}

# zlib
install -m 644 libz.so.%{version} %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.so.%{version}
ln -s libz.so.%{version} %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.so.1

# zlib-dev
install -m 644 libz.a %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.a
ln -s libz.so.1 %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.so
install -m 644 zlib.h zconf.h %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}

# What to do with the contrib dir?

# zlib-bin
### install -m 755 contrib/minizip/minizip %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/minizip
### install -m 755 contrib/minizip/miniunz %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/miniunzip


cp README LICENSE

# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/zlib

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _libdir %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}

# Install Library Optimizer information (zlib)
install -m 755 %{SOURCE10} %{_optdir}/zlib/build
install -m 644 *.o %{_optdir}/zlib/
install -m 644 zlib.map %{_optdir}/zlib/
(cd %{_optdir}/zlib; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libz.so -o *.o > index)
(umask 022; echo "/usr/lib/libz.so.1" > %{_optdir}/zlib/path)
#END OF LOT

# 6.x
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
	%{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "optinfo" -a "$l" != "optinfo" ]; then
      ln -s ../..%{sony_target_devtool_lib_dir}/$l \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
   fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.so.%{version}
%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.so.1
### %doc ChangeLog FAQ README build.log LICENSE


# %files -n %{pkgname}-dev
# %defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libz.a
%{sony_target_dir}%{sony_target_dev_include_dir}/zlib.h
%{sony_target_dir}%{sony_target_dev_include_dir}/zconf.h
### %doc ChangeLog FAQ README build.log LICENSE


# %files -n %{pkgname}-bin
# %defattr(-,root,root)
### %{sony_cross_target_dir}%{sony_target_dev_bin_dir}/minizip
### %{sony_cross_target_dir}%{sony_target_dev_bin_dir}/miniunzip
### %doc ChangeLog FAQ README build.log LICENSE

# for LOT
%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

%{sony_target_dir}%{sony_target_devtool_lib_dir}/libz.a

%changelog
* Fri Jan 20 2017 Sony Corporation
- update to 1.2.11

* Thu May 05 2016 Sony Corporation
- Added armhf support in LOT build script

* Tue Apr 02 2013 Sony Corporation
- update to 1.2.7

*Fri Apr 22 2005 Sony Corporation
- update to 1.2.2

* Thu Jan 13 2005 Sony Corporation
- delete minizip miniunzip command

* Thu Jan 13 2005 Sony Corporation
- delete tmpl pml files

* Tue Nov 16 2004 Sony Corporation
- 3 package -> 1 package 

* Thu Nov 10 2004 Sony Corporation
- change  Name: zlib -> Name: sony-target-dev-zlib

* Thu Oct 15 2004 Sony Corporation
- Initial build
